Subject: git history and file moves

From: Lin Ming <[email-masked]>
Date: Wed, 22 Oct 2008 10:02:47 +0800

I'm looking for a way to move files to a new directory and have the
full history follow the file automatically. Is this possible?

I know about --follow, but I want the history to just follow the file
transparently. Also, we have a git web interface and we want the full
history for the moved files to be available.

Thanks,
Lin Ming